.button {
  position: relative;
  width: 100%;
  padding: 1rem 0.9rem;
  cursor: pointer;
  border: none;
  border-radius: 0.5rem;
  font-size: 1.6rem;
  font-weight: 600;
  letter-spacing: 0.05rem;

  &.login-btn {
    background-color: #f4a91c;
    color: #fff;

    &:hover {
      background-color: darken(#f4a91c, 10%);
    }
  }

  &.facebook {
    color: #fff;
    background-color: #475993;

    &:hover {
      background-color: darken(#475993, 10%);
    }
  }

  &.google {
    color: #fff;
    background-color: #ff6767;

    &:hover {
      background-color: darken(#ff6767, 10%);
    }
  }

  &.create-post {
    position: absolute;
    left: 3.5rem;
    bottom: 3.5rem;
    padding: 0.7rem 12rem;
    width: unset;
    color: white;
    background-color: #f4a91c;
    letter-spacing: 0.1rem;

    @media screen and(max-width: 460px) {
      width: calc(100% - 6rem);
    }

    &:hover {
      background-color: darken(#f4a91c, 8%);
    }
  }

  &.qr {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 75%;
    padding: 0.5rem;
    background-color: #ff6767;
    color: white;

    &:hover {
      background-color: darken(#ff6767, 10%);
    }

    img {
      width: 2rem;
      margin-right: 0.7rem;
    }
  }

  &.tip {
    background-color: #f4a91c;
    width: 45%;
    padding: 0.5rem;
    color: white;
    margin-top: 3rem;

    &:hover {
      background-color: darken(#f4a91c, 10%);
    }
  }

  .icon {
    position: absolute;
    font-size: 3rem;
    left: 1rem;
    top: 50%;
    transform: translateY(-50%);
  }
}

.edit-button {
  background-color: transparent;
  border: none;
  color: $color-orange;
}
